@ECHO OFF
cd %~dp0
mkdir converted > NUL 2>&1
FOR %%A IN (%*) DO sox %%A -c 2 -r 44100 -b 16 -e signed-integer --endian little -t raw "converted/%%~nA.raw"
IF ERRORLEVEL 1 GOTO FAIL
GOTO SUCCESS
:FAIL
ECHO ERROR !!!
ECHO Press the Enter key to exit.
PAUSE > NUL
GOTO END
:SUCCESS
ECHO SUCCESS !!!
timeout 2 > nul
:END
